Skip to main content
GET
/
api
/
v1
/
portfolios
/
{portfolio}
Get user portfolio
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/portfolios/{portfolio} \
  --header 'CB-ACCESS-KEY: <api-key>' \
  --header 'CB-ACCESS-PASSPHRASE: <api-key>' \
  --header 'CB-ACCESS-SIGN: <api-key>' \
  --header 'CB-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}"

headers = {
    "CB-ACCESS-KEY": "<api-key>",
    "CB-ACCESS-PASSPHRASE": "<api-key>",
    "CB-ACCESS-SIGN": "<api-key>",
    "CB-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'CB-ACCESS-KEY': '<api-key>',
    'CB-ACCESS-PASSPHRASE': '<api-key>',
    'CB-ACCESS-SIGN': '<api-key>',
    'CB-ACCESS-TIMESTAMP': '<api-key>'
  }
};

fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "portfolio_id": "14thr7ft-1-0",
  "portfolio_uuid": "3d50e347-6a59-4965-a4cd-b25934d84126",
  "name": "Investment Account",
  "user_uuid": "f67de785-60a7-45ea-b87a-07e83eae7c12",
  "maker_fee_rate": 0.02,
  "taker_fee_rate": 0.04,
  "trading_lock": true,
  "borrow_disabled": true,
  "is_lsp": true,
  "is_default": true,
  "cross_collateral_enabled": true,
  "pre_launch_trading_enabled": true,
  "disable_overdraft_protection": true
}
PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
GetPortfolioRequest request = new GetPortfolioRequest.Builder()
    .portfolioId("portfolio_id")
    .build();
GetPortfolioResponse response = portfoliosService.getPortfolio(request);
For more information, please visit the INTX Java SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

Response

Portfolio

portfolio_id
string

A unique identifier for the portfolio

Example:

"14thr7ft-1-0"

portfolio_uuid
string<uuid>

A UUID for the portfolio

Example:

"3d50e347-6a59-4965-a4cd-b25934d84126"

name
string

A human readable name for the portfolio

Example:

"Investment Account"

user_uuid
string<uuid>

A user UUID for brokers that attribute a single user per portfolio

Example:

"f67de785-60a7-45ea-b87a-07e83eae7c12"

maker_fee_rate
string

The fee rate charged for order making liquidity

Example:

0.02

taker_fee_rate
string

The fee rate charged for orders taking liquidity

Example:

0.04

trading_lock
boolean

Indicates if the portfolio has been locked from trading

borrow_disabled
boolean

Indicates whether or not the portfolio can borrow

is_lsp
boolean

Indicates if the portfolio is setup to take liquidation assignments

is_default
boolean

Indicates if the portfolio is the account default portfolio

cross_collateral_enabled
boolean

Indicates if the cross collateral is enabled for the portfolio

pre_launch_trading_enabled
boolean

Indicates if pre-launch trading is enabled for the portfolio

disable_overdraft_protection
boolean

Indicates if loan overdraft protection is disabled for the portfolio